<?php
	
	class extension_imageuploadpreviewfield extends Extension {
		public function about() {
			return array(
				'name'			=> 'Field: Image Upload & Preview',
				'version'		=> '1.1',
				'release-date'	=> '2009-01-08',
				'author'		=> array(
					'name'			=> 'Nick Dunn',
					'website'		=> 'http://airlock.com',
					'email'			=> 'nick.dunn@airlock.com'
				),
				'description'	=> 'Upload files with unique hashed filenames and preview cropped thumbnail when creating an entry.'
			);
		}
		
		public function uninstall() {
			$this->_Parent->Database->query("DROP TABLE `tbl_fields_imageuploadpreview`");
		}
		
		public function install() {
			return $this->_Parent->Database->query("
				CREATE TABLE `tbl_fields_imageuploadpreview` (
					`id` int(11) unsigned NOT NULL auto_increment,
					`field_id` int(11) unsigned NOT NULL,
					`destination` varchar(255) NOT NULL,
					`validator` varchar(50),
					`width` varchar(50),
					`height` varchar(50),
					`crop` varchar(50),
					PRIMARY KEY (`id`),
					KEY `field_id` (`field_id`)
				)
			");
		}
	}
	
?>